Subject: RE: I-D tracker automatic reminders

From: [email-masked]
Date: Fri, 2 Apr 2004 21:25:34 +0300

Pekka,

I completely agree with you.  This would be a really good thing to do.

John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext Pekka Savola
> Sent: 02 April, 2004 12:17
> To: [email-masked]
> Subject: I-D tracker automatic reminders
> 
> 
> Hi,
> 
> I raised this issue in IETF59 WG chairs' training, but I think it 
> might be useful to discuss it with a wider audience as well.
> 
> I think it would be useful for I-D tracker to send "reminders" of open
> issues to the responsible person(s) after a document stays too long in
> a state, when by the process, it should have moved into a new state.
> (What could constitute "too long" varies by the state, but could be
> 1-4 weeks for example.)
> 
> For example, if a document stays too long in states:
>  - AD evaluation or Expert Review, remind the AD
>  - Publication Requested, remind the AD
>  - Last Call Requested, remind the secretariat
>  - In Last Call, after the last call has long since expired, remind 
> the AD and WG chairs
>  - Waiting for AD go-ahead, remind the AD
>  - IESG evaluation, remind the AD
>  - Defer, remind the secretariat [[ this should not be possible ]]
>  - DNP - Waiting for AD note, remind the AD
>  - DNP - Announcemnt to be sent, remind the secretariat
>  - Approved - "", remind the secretariat
>  - Different AD -followup, revised ID needed etc. states -- 
> remind AD, 
>    and WG chairs
> 
> Obviously, in most cases, "remind the AD" really means "remind the AD
> to remind other people to hurry up" -- but in these cases, the AD may
> be the only responsible person visible to the tracker, so there really
> isn't anyone else to remind here :)
> 
> It might be nice to be able to track the RFC-editor process (esp. if
> IANA causes blockage, or some normative refs cause trouble), but one
> might argue that that's beyond the scope of I-D tracker even if
> important.
> 
> Actually, as I think more information can't hurt, all of these
> reminders could be sent to some kind of mail alias, including at least
> the AD and WG chairs.
> 
> Other thoughts?  Is too many "reminders" or messages about document
> progress (or lack thereof) too bothersome?
> 
> Personally, I'd find these important as more often than not, someone 
> (whether AD, WG chair, document editor, ....) forgets to pursue 
> something and the ball gets dropped until someone reminds that the 
> document should be moving forward.. :-)
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 
>

---

From: [email-masked]
Date: Sat, 3 Apr 2004 08:13:13 +0300

Hi Harald,

> query: for each document, there is a list of people who get 
> warned about state changes.
> 
> Do you (and others) think that this list should also be 
> warned about state non-changes?
> 
> Since a lot of our "stuck" documents are in state "new I-D needed", and the 
> CC list often includes the document editors, it could be useful to remind 
> them that the document is not going forward....

I, for one, do think this is needed.  There are far too many steps in the
process (in my opinion) to remember them without a decent tracking system.
I imagine that most of us multitask a lot of multitasking, so sometimes
we need a reminder (a time-out, if you will) about expected action so that
things don't get stuck.  

John